cluster / metrics
7 operations.
GET /cluster/metrics
ts
proxmox.cluster.metrics.$get()Metrics index.
Returns an array of object.
GET /cluster/metrics/export
ts
proxmox.cluster.metrics.export.$get()Retrieve metrics of the cluster.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
history | boolean | Also return historic values. Returns full available metric history unless start-time is also set — default 0 | |
local-only | boolean | Only return metrics for the current node instead of the whole cluster — default 0 | |
node-list | string | Only return metrics from nodes passed as comma-separated list | |
start-time | number | Only include metrics with a timestamp > start-time. — default 0 |
GET /cluster/metrics/server
ts
proxmox.cluster.metrics.server.$get()List configured metric servers.
Returns an array of object.
GET /cluster/metrics/server/{id}
ts
proxmox.cluster.metrics.server.$(id).$get()Read metric server configuration.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | format pve-configid |
POST /cluster/metrics/server/{id}
ts
proxmox.cluster.metrics.server.$(id).$post()Create a new external metric server config
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
api-path-prefix | string | An API path prefix inserted between '<host>:<port>/' and '/api2/'. Can be useful if the InfluxDB service runs behind a reverse proxy. | |
bucket | string | The InfluxDB bucket/db. Only necessary when using the http v2 api. | |
disable | boolean | Flag to disable the plugin. | |
id | string | yes | The ID of the entry. — format pve-configid |
influxdbproto | udp | http | https | default "udp" | |
max-body-size | number | InfluxDB max-body-size in bytes. Requests are batched up to this size. — min 1, default 25000000 | |
mtu | number | MTU for metrics transmission over UDP — min 512, max 65536, default 1500 | |
organization | string | The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api. | |
otel-compression | none | gzip | Compression algorithm for requests — default "gzip" | |
otel-headers | string | Custom HTTP headers (JSON format, base64 encoded) — ≤ 1024 chars | |
otel-max-body-size | number | Maximum request body size in bytes — min 1024, default 10000000 | |
otel-path | string | OTLP endpoint path — default "/v1/metrics" | |
otel-protocol | http | https | HTTP protocol — default "https" | |
otel-resource-attributes | string | Additional resource attributes as JSON, base64 encoded — ≤ 1024 chars | |
otel-timeout | number | HTTP request timeout in seconds — min 1, max 10, default 5 | |
otel-verify-ssl | boolean | Verify SSL certificates — default 1 | |
path | string | root graphite path (ex: proxmox.mycluster.mykey) — format graphite-path | |
port | number | yes | server network port — min 1, max 65536 |
proto | udp | tcp | Protocol to send graphite data. TCP or UDP (default) | |
server | string | yes | server dns name or IP address — format address |
timeout | number | graphite TCP socket timeout (default=1) — min 0, default 1 | |
token | string | The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use 'user:password' instead. | |
type | graphite | influxdb | opentelemetry | yes | Plugin type. — format pve-configid |
verify-certificate | boolean | Set to 0 to disable certificate verification for https endpoints. — default 1 |
PUT /cluster/metrics/server/{id}
ts
proxmox.cluster.metrics.server.$(id).$put()Update metric server configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
api-path-prefix | string | An API path prefix inserted between '<host>:<port>/' and '/api2/'. Can be useful if the InfluxDB service runs behind a reverse proxy. | |
bucket | string | The InfluxDB bucket/db. Only necessary when using the http v2 api. | |
delete | string | A list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
disable | boolean | Flag to disable the plugin. | |
id | string | yes | The ID of the entry. — format pve-configid |
influxdbproto | udp | http | https | default "udp" | |
max-body-size | number | InfluxDB max-body-size in bytes. Requests are batched up to this size. — min 1, default 25000000 | |
mtu | number | MTU for metrics transmission over UDP — min 512, max 65536, default 1500 | |
organization | string | The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api. | |
otel-compression | none | gzip | Compression algorithm for requests — default "gzip" | |
otel-headers | string | Custom HTTP headers (JSON format, base64 encoded) — ≤ 1024 chars | |
otel-max-body-size | number | Maximum request body size in bytes — min 1024, default 10000000 | |
otel-path | string | OTLP endpoint path — default "/v1/metrics" | |
otel-protocol | http | https | HTTP protocol — default "https" | |
otel-resource-attributes | string | Additional resource attributes as JSON, base64 encoded — ≤ 1024 chars | |
otel-timeout | number | HTTP request timeout in seconds — min 1, max 10, default 5 | |
otel-verify-ssl | boolean | Verify SSL certificates — default 1 | |
path | string | root graphite path (ex: proxmox.mycluster.mykey) — format graphite-path | |
port | number | yes | server network port — min 1, max 65536 |
proto | udp | tcp | Protocol to send graphite data. TCP or UDP (default) | |
server | string | yes | server dns name or IP address — format address |
timeout | number | graphite TCP socket timeout (default=1) — min 0, default 1 | |
token | string | The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use 'user:password' instead. | |
verify-certificate | boolean | Set to 0 to disable certificate verification for https endpoints. — default 1 |
DELETE /cluster/metrics/server/{id}
ts
proxmox.cluster.metrics.server.$(id).$delete()Remove Metric server.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | format pve-configid |